package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会议室预约对象 conference_room_order
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class ConferenceRoomOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 会议室预约ID */
    private Long conferenceRoomOrderId;

    /** 会议室预约人员名称 */
    @Excel(name = "会议室预约人员名称")
    private String orderUser;

    /** 会议室预约人员id（用户id） */
    @Excel(name = "会议室预约人员id", readConverterExp = "用=户id")
    private Long orderUserId;

    /** 会议室ID */
    @Excel(name = "会议室ID")
    private Long conferenceRoomId;

    /** 会议室名称 */
    @Excel(name = "会议室名称")
    private String conferenceRoomName;

    /** 会议室地址 */
    @Excel(name = "会议室地址")
    private String conferenceRoomAddress;

    /** 会议名称 */
    @Excel(name = "会议名称")
    private String conferenceName;

    /** 会议室人数 */
    @Excel(name = "会议室人数")
    private String conferenceNumber;

    /** 会议开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "会议开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 会议结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "会议结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setConferenceRoomOrderId(Long conferenceRoomOrderId) 
    {
        this.conferenceRoomOrderId = conferenceRoomOrderId;
    }

    public Long getConferenceRoomOrderId() 
    {
        return conferenceRoomOrderId;
    }
    public void setOrderUser(String orderUser) 
    {
        this.orderUser = orderUser;
    }

    public String getOrderUser() 
    {
        return orderUser;
    }
    public void setOrderUserId(Long orderUserId) 
    {
        this.orderUserId = orderUserId;
    }

    public Long getOrderUserId() 
    {
        return orderUserId;
    }
    public void setConferenceRoomId(Long conferenceRoomId) 
    {
        this.conferenceRoomId = conferenceRoomId;
    }

    public Long getConferenceRoomId() 
    {
        return conferenceRoomId;
    }
    public void setConferenceRoomName(String conferenceRoomName) 
    {
        this.conferenceRoomName = conferenceRoomName;
    }

    public String getConferenceRoomName() 
    {
        return conferenceRoomName;
    }
    public void setConferenceRoomAddress(String conferenceRoomAddress) 
    {
        this.conferenceRoomAddress = conferenceRoomAddress;
    }

    public String getConferenceRoomAddress() 
    {
        return conferenceRoomAddress;
    }
    public void setConferenceName(String conferenceName) 
    {
        this.conferenceName = conferenceName;
    }

    public String getConferenceName() 
    {
        return conferenceName;
    }
    public void setConferenceNumber(String conferenceNumber) 
    {
        this.conferenceNumber = conferenceNumber;
    }

    public String getConferenceNumber() 
    {
        return conferenceNumber;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("conferenceRoomOrderId", getConferenceRoomOrderId())
            .append("orderUser", getOrderUser())
            .append("orderUserId", getOrderUserId())
            .append("conferenceRoomId", getConferenceRoomId())
            .append("conferenceRoomName", getConferenceRoomName())
            .append("conferenceRoomAddress", getConferenceRoomAddress())
            .append("conferenceName", getConferenceName())
            .append("conferenceNumber", getConferenceNumber())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
